---
layout: default
title: Home
---
<div class="jumbotron banner">
    <div class="container">
        <h1 class="font-weight-bold">Walrus XML Documentation</h1>
    </div>
</div>
<main class="container">
  <div class="row">
    <div class="col-sm-12 col-md-8">
      <p>Documentation of the XML (<a href="https://en.wikipedia.org/wiki/XML" target="_blank">Extensible Markup Language</a>) configuration files required for each map loaded on the Walrus servers.</p>
      <p>With Walrus's plugins, the map files, and customizable XML files, Walrus has the ability to offer an enviorment that is shaped to the map author's vision. XML allows an simple way for the map author to write unique features into their map for Walrus to interpret.</p>
      <form action="{{ site.baseurl }}/search" method="get">
          <div class="input-group">
              <input name="query" class="form-control" id="search-input" type="text" placeholder="Search..." aria-label="Search"/>
              <div class="input-group-append">
                  <button class="btn btn-outline-primary" role="submit"><i class="fas fa-search"></i></button>
              </div>
          </div>
      </form>
      <p class="small mt-3 d-block">The current protocol is <a href="{{ site.baseurl }}/facets/protocol">{{site.current_proto}}</a></p>
    </div>
    <div class="col-sm-12 col-md-4 d-none d-md-block text-center">
      <img src="{{ site.baseurl }}/assets/img/big_shield.png" width="65%">
    </div>
  </div>
  <div id="content" class="card-deck">
      <div class="card">
          <div class="card-body">
              <i class="fas fa-box-open fa-2x" style="padding-bottom:10px;"></i>
              <h5 style="font-weight: bold">Getting Started</h5>
              <p class="card-text">Before you start creating an XML, you need to have the right tools. Click the button below for a guide on setting up an XML workspace.</p>
              <a href="{{ site.baseurl }}/guides/getting-started" class="btn btn-primary">Get Started</a>
          </div>
      </div>
      <div class="card">
          <div class="card-body">
              <i class="fas fa-cubes fa-2x" style="padding-bottom:10px;"></i>
              <h5 style="font-weight: bold">Explore Facets</h5>
              <p class="card-text">Click the button below to start exploring our documentation. We will guide you through the whole process.</p>
              <a href="{{ site.baseurl }}/facets/required-elements" class="btn btn-primary">View Documentation</a>
          </div>
      </div>
      <div class="card">
          <div class="card-body">
              <i class="fas fa-file-code fa-2x" style="padding-bottom:10px;"></i>
              <h5 style="font-weight: bold">Templates</h5>
              <p class="card-text">Instead of creating your next XML from scratch, take a look at our templates. Use, modify, and expand upon the basics to create your perfect XML.</p>
              <a href="{{ site.baseurl }}/examples/templates" class="btn btn-primary">Browse Templates</a>
          </div>
      </div>
  </div>
</main>
